a:link { 
  text-decoration: none; 
} 
a:visited { 
  text-decoration: none; 
} 
a:hover { 
  text-decoration: none; 
} 
a:active { 
  text-decoration: none; 
}

.sitebox{
  min-height:75vh;
}

.grid-child.brand{margin-left: 15em;}
.navbar.navbar-expand-lg{float: right;margin-right: 15em;}

.nui.form .field input[type]:focus-visible, .nui.form .field textarea:focus-visible {
    border-color: #017A55 !important;
    outline: calc(var(--bw) * 1) solid #017A55 !important;
}

.nui.form .field input[type=tel]{
    padding: calc(var(--pad) * 1.3) calc(var(--pad) * 2);
    border-radius: calc(var(--rad) * .65);
    border-width: calc(var(--bw) * 2);
    outline: 0;
    line-height: inherit;
    height: auto;
    width: auto;
}

.container-below-top {
	Width: Auto;
  	margin-left: auto;
  	margin-right: 0%;
}
.container-header{
    background-color:#FF000000 !important;
    background-image:None !important;
  -webkit-box-shadow: None !important;
  box-shadow: None !important;
  z-index: 1;
}
.sticky-top.container-header{
  z-index: 1 !important;
}
.container-header .mod-menu {
    color: #000;
    -ms-flex: 1 0 100%;
    flex: 1 0 100%;
    list-style: none;
    padding: 0;
}



:root {
  --cassiopeia-color-primary: WHITE;
  --cassiopeia-color-hover: #017A55;
  --cassiopeia-color-link: #000;
}
body {
    color : #000;
}



.table-striped-columns>:not(caption)>tr>:nth-child(2n), .table-striped>tbody>tr:nth-of-type(odd)>* {
    color: #000;
}

body {
 font-family: Verdana, Arial, Meiryo, "微軟正黑體", "Microsoft JhengHei", sans-serif;
}
body::after {
  opacity: 1;
}
 
h1, h2, h3, h4, h5, h6 {
 font-family: 'Open Sans Condensed', Meiryo, "微軟正黑體", "Microsoft JhengHei", sans-serif;
}
 
input, button, select, textarea {
 font-family: Arial, Helvetica, Meiryo, "微軟正黑體", "Microsoft JhengHei", sans-serif; 
}

.metismenu.mod-menu{
 margin-top:2%;
}
.metismenu.mod-menu .metismenu-item.active > a, .metismenu.mod-menu .metismenu-item.active > button, .metismenu.mod-menu .metismenu-item > a:hover, .metismenu.mod-menu .metismenu-item > button:hover {
  text-decoration: NONE !important;
  color: #017A55;
}
.container-nav, .menu-horizontal {
    justify-content: right !important;
}
.navbar-brand {
    margin: auto;
}

.footer{
  padding: 1rem 0.5em;
  background-color:#30373f;
  background-image:none;
  z-index:1;
  
}
.custom-logo-link{
  position : absolute;
  margin-left: 0%;
  Min-Width: 200px;
  Max-Width: 30%;
}
.grid-child{
  display : inline !important;
}
.container-header .navbar-toggler {
  color : #000 !important;
  border: 1px solid #000 !important;
}

.hovertable:hover{
  background-color: #039f03;
}

.sp-simpleportfolio-custombackground{
  height:100%;width:100%;
  position: fixed;left: 0;
  right: 0;
  -webkit-filter: blur(3px);filter: blur(3px);
  background-size: 100% 100% !important;
  background-color: rgba(255,255,255,0.9) !important;
  background-blend-mode: color;
}

.sp-simpleportfolio-customdescription{
  position: relative;
  z-index: 1;
  left: 0;
  margin-top:1%;
}

.wrap {
 display: flex;
 flex-direction: row;
 flex-wrap: wrap;
 width: 100%;
 }
 
 .wrap.wrapcn div {
  text-align: center;
  cursor: pointer;
  min-width:300px;
  width:30%;
  height: 75px;
  box-shadow: 5px 2px 2px #bfbfbf;
  border-radius: 15px;
  border: 2px solid #8a8a8a;
  margin: 20px;
  padding: 20px;
  transition: 0.3s;
 }
  .wrap.wrapcn div:hover{
    border: 2px solid green;
    background-color: #5ebd7855;
    color: #000;
    padding: 15px;
    box-shadow: 10px 10px 2px #bfbfbf;
  }

 .wrap.wrapnosd div {
  text-align: center;
  cursor: pointer;
  min-width:300px;
  width:30%;
  border-radius: 15px;
  border: 0px;
  margin: 10px;
  padding: 5px;
  transition: 0.3s;
 }

#spinner {  
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  resize: vertical;
  overflow: auto;
  z-index: 10000;
  background: rgba(0, 0, 0, 0.1);
}

.spinnerbox {
  position: relative; 
  top: 35%; 
  left: 45%; 
  width:150px;height:auto;
  transform: translateZ(0);
  -webkit-animation: brightness 1s infinite;
  animation: brightness 1s infinite;
}

span.nui.bold{-webkit-animation: naiflasth 1.5s infinite;animation: naiflasth 1.5s infinite;}

.paper-shadow {
  position: relative;
  background: #fff;
  width: 85%;
  margin-left: Auto;
  margin-right: Auto;
  margin-bottom: 50px;
  margin-top: 50px;
  box-shadow: 0px 2px 38px rgba(0, 0, 0, 0.2);
  height: auto;
  padding: 20px;
  -webkit-animation: lettermover 0.5s;
  animation: lettermover 0.5s;
  animation-delay: 0.8s;
  animation-timing-function: ease;
}
.paper-shadow:after, .paper-shadow:before{
  content: '';
  left: auto;
  background:none;
  z-index: -1;
}
.paper-shadow:after{
  width: 90%;
  height: 10px;
  top: 30px;
  right:8px;
  -webkit-transform: rotate(-3deg);
  -moz-transform: rotate(-3deg);
  -o-transform: rotate(-3deg);
  -ms-transform: rotate(-3deg);
  transform: rotate(-3deg);
  -webkit-box-shadow: 0px -20px 36px 5px #295d92;
  -moz-box-shadow: 0px -20px 36px 5px #295d92;
  box-shadow: 0px -25px 35px 0px rgba(0,0,0,0.5);
}

.paper-shadow:before{
  width: 10px;
  height: 95%;
  top: 5px;
  right:18px;
  -webkit-transform: rotate(3deg);
  -moz-transform: rotate(3deg);
  -o-transform: rotate(3deg);
  -ms-transform: rotate(3deg);
  transform: rotate(3deg);
  -webkit-box-shadow: 20px 0px 25px 5px #295d92;
  -moz-box-shadow: 20px 0px 25px 5px #295d92;
  box-shadow: 22px 0px 35px 0px rgba(0,0,0,0.5);
}

.tab-collapse{
    display:block;
}
.tab-visible{
    display:none;
}

.opacity09{opacity: 0.9;}

.ball{
  width: 40%;
  border-radius:50%;
  position: fixed;
  left: 50px;
  animation: run 5s;
  animation-fill-mode: forwards;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  opacity:0.2;
  transform:rotate(340deg);
}



/*! ----------------------Animations-------------------------------------------------------------------------------------------- */
@keyframes lettermover {
    0% { margin-top: 500px;transform: rotate(-30deg);}
    100% { margin-top: 50px;transform: rotate(0deg);}
}

@keyframes naiflasth {
  0%, 100% {color: black;}
  50% {color: red;}
}

@keyframes brightness {
  0%, 100%  { 
    filter: brightness(0.7);
    -webkit-filter: brightness(0.7); }
  50% { 
    filter: brightness(1.2);
    -webkit-filter: brightness(1.2); }
}

@keyframes opacityness {
  0%, 100%  { 
    opacity:1; }
  50% { 
    opacity:0.3; }
}

@keyframes run{
  0%{top: -100%;}
  30%{top: 35%;}
  48%{top: 6%;}
  50%{top: 5%;}
  52%{top: 6%;}
  60%{top: 35%;}
  68%{top: 16%;}
  70%{top: 15%;}
  72%{top: 16%;}
  80%{top: 35%;}
  88%{top: 26%;}
  90%{top: 25%;}
  92%{top: 26%;}  
  96%{top: 35%;}
  98%{top: 34%;}
  100%{top: 35%;}
}

/*! ---------------------- 991.98px-------------------------------------------------------------------------------------------- */
@media (width <= 991.98px){
  .sitebox{
  min-height:no;
}
  
  .tab-collapse{display:none;}
  .tab-visible{display:block;}
  
.navbar-collapse{position: relative;}

.navbar-collapse.show, 
  .navbar-collapse.collapsing, 
  .navbar-collapse.collapse{
  background: white;
  border: solid;
  height:100%;width:100%;
}


}
/*! ----------------------767.98px-------------------------------------------------------------------------------------------- */

@media (max-width: 767.98px){
    
.sitebody {
    margin-top: 0%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0%;
  	width: 100%;
}
   .wrap.wrapnosd div {
  text-align: center;
  cursor: pointer;
  min-width:300px;
  width:100%;
   border-radius: 15px;
  border: 0px;
  margin: 10px;
  padding: 5px;
  transition: 0.3s;
 }
  
  .spinnerbox {
  position: relative; 
  top: 40%; 
  left: 38%; 
  width:100px;height:auto;
    -webkit-animation: brightness 1s infinite;
  animation: brightness 1s infinite;
}
  
  .grid-child.brand{margin-left: 3em;}
  .navbar.navbar-expand-lg{float: left;margin-left: 1em;}
  
  .container-header .navbar-collapse > div > ul {
	float:left !important;
}

  .container-header .container-nav .container-search, .container-header .container-nav nav {
    margin-top: 3em !important;
}

.nui.flex.stackable {
    flex-direction: row !important;
}
.paper-shadow {
  width: 100%;
}
  
  
}

